#include <iostream>

using namespace std;

int n, k, x;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin >> n >> k >> x;
    if (n == k){
        for (int i = 0; i < n/2; ++i){
            cout << 1 << " ";
        }
        for (int i = n/2; i < n; ++i)
            cout << x+1 << " ";
    }
    for (int i = 0; i < k; ++i){
        cout << 1 << " ";
    }
    for (int i = 0; i < n - k - 1; ++i)
        cout << x << " ";
    cout << x + 1 << endl;
    return 0;
}